//验证码
function refreshCode() {
	var ccImg = document.getElementById("checkCodeImg");
	if (ccImg) {
		ccImg.src= ccImg.src + '&' +Math.random();
	}
}
(function ($) {
	$(document).ready(function() {
		//首页幻灯片
		var cur_number = 0;
		var t = null;
		$(".focusUl li").eq(0).css({'opacity':1,'z-index':1});
		$('.focusbtn li a').eq(0).addClass('focusOn');
		function showAuto(){
			t = setInterval(function(){
				showPhoto(cur_number);
				cur_number++;
				if(cur_number == $(".focusUl li").length) cur_number = 0;
			}, 4000);
		}
		showAuto()
		$('.focusbtn li a').add($(".focusUl li")).hover(
			function() {
				clearInterval(t);
			}, 
			function(){
				showAuto();
			}
		);
		$('.focusbtn li a').click(function(){
			cur_number = $('.focusbtn a').index(this);
			showPhoto(cur_number);
		})
	});

	//新加VIP会员
	/*
	showRecommendList();
	*/
	
	//登陆处理
	$(".SignInBtn").bind('click', function() {

		var username = $('#username').val();
		var password = $('#password').val();
		var checkcode = $('#checkcode').val();
		var savestate = $('#savestate').attr('checked')?"1":"";

		$("#username_msg, #password_msg").hide();
		if(username == '' || username == '用户名/ 邮箱') {
			$("#username_msg").find('label').html('请输入用户名或邮箱').end().slideDown('normal');
			$("#username").focus();
			return false;
		} else {
			$("#username_msg").hide('normal');
		}
		if($("#password").val() == '') {
			$("#password_msg").find('label').html('请输入密码').end().slideDown('normal');
			$("#password_text").focus();
			return false;
		} else if(!password.match(/^(.){6,}$/)) {
			$("#password_msg").find('label').html('密码不得少于6位').end().slideDown('normal');
			$("#password_text").focus();
			return false;
		} else {
			$("#password_msg").hide('normal');
		}
		if(checkcode == '' || checkcode == '验证码') {
			$("#checkcode_msg").find('label').html('验证码').end().slideDown('normal');
			$("#checkcode").focus();
			return false;
		} else {
			$("#checkcode_msg").hide('normal');
		}




	});
	$("#username").focus(function() {
		if($(this).val() == "用户名/ 邮箱") {
			$(this).val("");
		}
		$(this).css('color',"#666");
		$(this).parent().attr('class', 'usernameBlockb');
	}).blur(function() {
		if($(this).val() == "") {
			$(this).css('color',"#999");
			$(this).val("用户名/ 邮箱");
		}
		$(this).parent().attr('class', 'usernameBlock');
	});
	$("#checkcode").focus(function() {
		if($(this).val() == "验证码") {
			$(this).val("");
		}
		$(this).css('color',"#666");
		$(this).parent().attr('class', 'checkcodeBlockb');
	}).blur(function() {
		if($(this).val() == "") {
			$(this).css('color',"#999");
			$(this).val("验证码");
		}
		$(this).parent().attr('class', 'checkcodeBlock');
	});
	$("#password_text").focus(function() {
		$(this).hide();
		$("#password").show().focus();
	});
	$("#password").focus(function() {
		$(this).css('color',"#666");
		$(this).parent().attr('class', 'passwordBlockb');
	}).blur(function() {
		if($(this).val() == '') {
			$(this).hide();
			$(this).parent().attr('class', 'passwordBlock');
			$("#password_text").show();
		} else {
			$(this).parent().attr('class', 'passwordBlock');
		}
	});
	$("#username_msg p:first").click(function() {
		$("#username_msg").slideUp('normal');
	});
	$("#password_msg p:first").click(function() {
		$("#password_msg").slideUp('normal');
	});
	$("#password,#username").keydown(function(event) {
		if(event.keyCode == 13) {
			$(".SignInBtn").click();
		}
	});
	//记住登陆
	$("#savestate").click(function() {
		if($(this).attr("checked")) {
			$("#qx").show();
		} else {
			$("#qx").hide();
		}
	});


})(jQuery);

// 幻灯图片显示
function showPhoto (cur_number) {
	for(var i=0; i<$('.focusbtn li a').length; i++){
		$('.focusbtn li a').eq(i).removeClass('focusOn');
	}
	$('.focusbtn li a').eq(cur_number).addClass('focusOn')
	$('.focusUl li').eq(cur_number).stop(true).animate({opacity:1},1000).siblings().animate({opacity:0},1000);
}

// 随机显示新加VIP会员
function showRecommendList(){
    var el = $('.index_side .recommend_list li');
    el.hide().sort(randomSort);
    el.slice(1,4).each(function(){
        $(this).show();
    });
}
// 随机种子
function randomSort(){
	return Math.random() - 0.5; 
}
